## mkautodoc 0.1.0

=== requirements.txt ===
markdown

# Testing
black
pytest
pytest-cov

=== debian/changelog ===
mkautodoc (0.1.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 01:16:30 -0500

mkautodoc (0.1.0-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * Backport upstream fix for Markdown 3.4. (Closes: #1016299)

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Sep 2022 20:57:13 -0400

mkautodoc (0.1.0-3) unstable; urgency=medium

  * debian/control
    - set a (brief) long description; Closes: #981452

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2021 19:54:41 -0500

mkautodoc (0.1.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload for testing migration.
    (Closes: #980940)

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jan 2021 12:41:16 -0500

mkautodoc (0.1.0-1) unstable; urgency=low

  * Initial release; Closes: #971575

 -- Sandro Tosi <morph@debian.org>  Mon, 21 Dec 2020 02:14:13 +0000

=== debian/control ===
Source: mkautodoc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               black,
               python3-all,
               python3-markdown,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/tomchristie/mkautodoc
Vcs-Git: https://salsa.debian.org/python-team/packages/mkautodoc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkautodoc

Package: python3-mkautodoc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: AutoDoc for MarkDown
 This markdown extension adds autodoc style support, for use with MkDocs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mkautodoc-$1.tar.gz%,uversionmangle=s/(rc|a|b|c|dev)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/tomchristie/mkautodoc/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## mkautodoc 0.2.0

=== requirements.txt ===
-e .

# Testing
black
pytest
pytest-cov

=== debian/changelog ===
mkautodoc (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Add myself to Uploaders: (Closes: #1065143)
  * Convert testsuite to standard pybuild and set Testsuite:
    autopkgtest-pkg-pybuild
  * Drop existing patch, already applied upstream

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 Mar 2024 15:39:12 -0300

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                black,
@@ -14,6 +15,7 @@
 Homepage: https://github.com/tomchristie/mkautodoc
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkautodoc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkautodoc
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-mkautodoc
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mkautodoc
export PYTHONPATH = $(CURDIR)/tests/mocklib
%:
	dh $@ --with python3 --buildsystem=pybuild
